summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorEdward Thomson <ethomson@edwardthomson.com>2015-03-09 09:18:37 -0400
committerEdward Thomson <ethomson@edwardthomson.com>2015-03-09 09:18:37 -0400
commit959482e104261286ea31f261d6694424b330938b (patch)
tree8bce9ebd55a60854b08421173d8cf52e1863fed1 /script
parentd77a4f943e827e44c73acbdbb7462489feaeeedf (diff)
parent78c34af016dc69e7553e671ad3795ffb9dbb93ef (diff)
downloadlibgit2-959482e104261286ea31f261d6694424b330938b.tar.gz
Merge pull request #2946 from tkelman/appveyor-mingw
RFC: add mingw to appveyor matrix
Diffstat (limited to 'script')
-rwxr-xr-xscript/appveyor-mingw.sh23
-rwxr-xr-xscript/cibuild.sh10
-rwxr-xr-xscript/install-deps-linux.sh2
-rwxr-xr-xscript/install-deps-osx.sh2
4 files changed, 35 insertions, 2 deletions
diff --git a/script/appveyor-mingw.sh b/script/appveyor-mingw.sh
new file mode 100755
index 000000000..48e0bad0a
--- /dev/null
+++ b/script/appveyor-mingw.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -e
+cd `dirname "$0"`/..
+if [ "$ARCH" = "32" ]; then
+ echo 'C:\MinGW\ /MinGW' > /etc/fstab
+elif [ "$ARCH" = "i686" ]; then
+ f=i686-4.9.2-release-win32-sjlj-rt_v3-rev1.7z
+ if ! [ -e $f ]; then
+ curl -LsSO http://sourceforge.net/projects/mingw-w64/files/Toolchains%20targetting%20Win32/Personal%20Builds/mingw-builds/4.9.2/threads-win32/sjlj/$f
+ fi
+ 7z x $f > /dev/null
+ mv mingw32 /MinGW
+else
+ f=x86_64-4.9.2-release-win32-seh-rt_v3-rev1.7z
+ if ! [ -e $f ]; then
+ curl -LsSO http://sourceforge.net/projects/mingw-w64/files/Toolchains%20targetting%20Win64/Personal%20Builds/mingw-builds/4.9.2/threads-win32/seh/$f
+ fi
+ 7z x $f > /dev/null
+ mv mingw64 /MinGW
+fi
+cd build
+cmake -D ENABLE_TRACE=ON -D BUILD_CLAR=ON .. -G"$GENERATOR"
+cmake --build . --config RelWithDebInfo
diff --git a/script/cibuild.sh b/script/cibuild.sh
index 8983dcce0..82cf72553 100755
--- a/script/cibuild.sh
+++ b/script/cibuild.sh
@@ -1,5 +1,15 @@
#!/bin/sh
+# Fail fast for superseded builds to PR's
+if ! [ "$TRAVIS_PULL_REQUEST" = "false" ]; then
+ if ! [ \"$TRAVIS_BUILD_NUMBER\" = $(curl -H "Accept: application/vnd.travis-ci.2+json" \
+ https://api.travis-ci.org/repos/libgit2/libgit2/builds?event_type=pull_request | \
+ jq ".builds | map(select(.pull_request_number == $TRAVIS_PULL_REQUEST))[0].number") ]; then
+ echo "There are newer queued builds for this pull request, failing early."
+ exit 1
+ fi
+fi
+
if [ -n "$COVERITY" ];
then
./script/coverity.sh;
diff --git a/script/install-deps-linux.sh b/script/install-deps-linux.sh
index 347922b89..3eb57ce1a 100755
--- a/script/install-deps-linux.sh
+++ b/script/install-deps-linux.sh
@@ -3,4 +3,4 @@
set -x
sudo apt-get -qq update &&
-sudo apt-get -qq install cmake libssh2-1-dev openssh-client openssh-server
+sudo apt-get -qq install cmake libssh2-1-dev openssh-client openssh-server jq
diff --git a/script/install-deps-osx.sh b/script/install-deps-osx.sh
index c2e0162d8..ad6a7b41d 100755
--- a/script/install-deps-osx.sh
+++ b/script/install-deps-osx.sh
@@ -2,4 +2,4 @@
set -x
-brew install libssh2 cmake
+brew install libssh2 cmake jq